## Package org.hibernate.service

Interface Summary
BootstrapServiceRegistry: Specialization of the `ServiceRegistry` contract mainly to make the `ServiceRegistryBuilder.ServiceRegistryBuilder(BootstrapServiceRegistry)` signature type-safe
Service: Marker interface for services.
ServiceRegistry: A registry of `services`.

Class Summary
BootstrapServiceRegistryBuilder: Builder for bootstrap `ServiceRegistry` instances.
ServiceRegistryBuilder: Builder for standard `ServiceRegistry` instances.
StandardServiceInitiators: Central definition of the standard set of service initiators defined by Hibernate.

Exception Summary
UnknownServiceException: Indicates that an unkown service was requested from the registry.
UnknownUnwrapTypeException

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.